Bug 442280 - Review Request: squirrel - high level imperative/OO programming language
Review Request: squirrel - high level imperative/OO programming language
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-13 15:24 EDT by Dan Horák
Modified: 2008-11-25 11:52 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.2.1-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 03:33:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2008-04-13 15:24:24 EDT
Spec URL: http://fedora.danny.cz/squirrel.spec
SRPM URL: http://fedora.danny.cz/squirrel-2.2-1.fc9.src.rpm

Description:
Squirrel is a high level imperative/OO programming language, designed
to be a powerful scripting tool that fits in the size, memory bandwidth,
and real-time requirements of applications like games.

output from rpmlint:
squirrel-devel.x86_64: W: no-dependency-on squirrel
  can be ignored as -devel depends on -libs

scratch build in Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=564425
Comment 1 manuel wolfshant 2008-04-27 08:38:01 EDT
There are a couple of small changes that you should make to the spec:
* your build section does not make use of the SMP flags (see
Packaging/Guidelines#parallelmake); fixable by adding  %{?_smp_mflags} to the
make line in %build
* preserving timestamps; partially fixable by adding  INSTALL="install -p" to
the " %make install " line in %install; this will the timestamps for files
included in squirrel-devel and squirrel-debuginfo. A nice touch would be to use
"touch -r "in order to also preserve preserve the timestamps of the 3 files
modified via sed (in %prep)
* Each %files section should have a %defattr line
  (wiki: Packaging/ReviewGuidelines)
Comment 2 Dan Horák 2008-04-28 03:48:33 EDT
Updated spec URL: http://fedora.danny.cz/squirrel.spec
Updated SRPM URL: http://fedora.danny.cz/squirrel-2.2-2.fc9.src.rpm

* Sun Apr 27 2008 Dan Horak <dan[at]danny.cz> 2.2-2
- enable parallel make
- add missing %%defattr for subpackages
- preserve timestamps
Comment 3 Brian Pepple 2008-05-27 15:16:55 EDT
Hmm, spec & SRPM url's don't seem to be valid.  Do you still wish for this to be
submitted to Fedora?
Comment 4 Dan Horák 2008-05-28 01:58:43 EDT
Looks like my webhosting changed their setup, I will fix it later today or tomorrow.
Comment 5 Hans de Goede 2008-05-31 04:59:25 EDT
I'll review this.
Comment 6 Hans de Goede 2008-05-31 09:15:56 EDT
Full review done:

SHOULD FIX
----------
* Use standard (and actually working, unlike the current) sf.net download url of:
  http://downloads.sourceforge.net/squirrel/squirrel_%{version}.stable.tar.gz

* You currently give README HISTORY and COPYRIGHT the timestamp of the COMPILE for
  for HISTORY this is different from the original timestamp of HISTORY and in
  future upstream releases chances are good the timestamps differ even more.

  Instead you should make backups while sed-ing using sed -i.orig and then
  use the .orig files as source for restoring the timestamps.


No blockers, approved!
Comment 7 Dan Horák 2008-05-31 09:50:23 EDT
Thanks for the review.

ad 1 - my mistake - the releases are squirrel_X.Y.stable.tar.gz and
squirrel_X.Y.Z_stable.tar.gz (and the spec in fact originated in version 2.1.1)

ad 2 - thanks for the hint
Comment 8 Dan Horák 2008-05-31 09:52:48 EDT
New Package CVS Request
=======================
Package Name: squirrel
Short Description: High level imperative/OO programming language
Owners: sharkcz
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-05-31 19:18:30 EDT
cvs done.
Comment 10 Fedora Update System 2008-06-01 05:39:41 EDT
squirrel-2.2.1-1.fc9 has been submitted as an update for Fedora 9
Comment 11 Fedora Update System 2008-06-01 05:40:23 EDT
squirrel-2.2.1-1.fc8 has been submitted as an update for Fedora 8
Comment 12 Fedora Update System 2008-06-03 03:33:25 EDT
squirrel-2.2.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-06-03 03:34:32 EDT
squirrel-2.2.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Dan Horák 2008-11-25 07:42:51 EST
Package Change Request
======================
Package Name: squirrel
New Branches: EL-5
Owners: sharkcz
Comment 15 Dennis Gilmore 2008-11-25 11:52:35 EST
CVS Done

Note You need to log in before you can comment on or make changes to this bug.